#set page(width: auto, height: auto)
#import "/src/lib.typ": *


#let TYPST = image("/gallery/typst.png", width: 1.5cm, height: 1.5cm, fit: "contain")
#let FERRIS = image("/gallery/ferris.png", width: 1.5cm, height: 1.5cm, fit: "contain")
#let ME = image("/gallery/me.jpg", width: 1.5cm, height: 1.5cm, fit: "contain")

#diagram({
  _par("Foo", display-name: "Participant", shape: "participant")
  _par("Foo1", display-name: "Actor", shape: "actor")
  _par("Foo2", display-name: "Boundary", shape: "boundary")
  _par("Foo3", display-name: "Control", shape: "control")
  _par("Foo4", display-name: "Entity", shape: "entity")
  _par("Foo5", display-name: "Database", shape: "database")
  _par("Foo6", display-name: "Collections", shape: "collections")
  _par("Foo7", display-name: "Queue", shape: "queue")
  _par("Foo8", display-name: "Typst", shape: "custom", custom-image: TYPST)
  _par("Foo9", display-name: "Ferris", shape: "custom", custom-image: FERRIS)
  _par("Foo10", display-name: "Baryhobal", shape: "custom", custom-image: ME)
})